Bug 49128 - /etc/rc.d/init.d/halt runs UPS prog after unmounted
/etc/rc.d/init.d/halt runs UPS prog after unmounted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-14 13:47 EDT by j. alan eldridge
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 15:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2001-07-14 13:47:57 EDT
Description of Problem:

Don't shoot me, Bill!

I appreciate the patch into halt that you did. There's just one more little
thing....

By the time we get down there to run the "$MODEL -k $DEVICE" command, if
/usr is on its own FS (as it often is, and should be), then the program we
want to run is gone.

It's disgusting, but what I did was up top in halt, see if we're going to
need to do this later on, and then "cp -a $MODEL /tmp". I know, /tmp could
be on a separate FS too. 

So what's to do?

1. Cp to /tmp and try not to gag.

2. Cp to / and try not to gag.

3. Cp to somewhere in /etc and try not to gag.

4. Change the NUT rpm to put the UPS $MODEL programs in /bin, and try not
to gag.

5. Change the NUT rpm to put the UPS $MODEL programs in /sbin and try not
to gag.

Got any ideas that don't need "and try not to gag" appended to them?
Comment 1 Bill Nottingham 2005-04-28 15:10:36 EDT
These are on /sbin now, I think.

Note You need to log in before you can comment on or make changes to this bug.